<?php
namespace nur\ref;

/**
 * Class ref_csv: références des valeurs normalisées pour les fichiers CSV à
 * destination de Microsoft Excel et de LibreOffice Calc
 */
class ref_csv {
  const UTF8 = "utf-8";
  const CP1252 = "cp1252";
  const LATIN1 = "iso-8859-1";

  const OO_NAME = "oocalc";
  const OO_FLAVOUR = ",\"\\";
  const OO_ENCODING = self::UTF8;
  
  const XL_NAME = "msexcel";
  const XL_FLAVOUR = ";\"\\";
  const XL_ENCODING = self::CP1252;
}
